Page MenuHomePhabricator

Education Dashboard I18n: Create project on Translatewiki.net
Closed, ResolvedPublic

Description

This is to track the upstream request. It's complete when we have new translations automatically merged from TWN to the Github repo.

Process: https://translatewiki.net/wiki/Translating:New_project

Event Timeline

awight created this task.Feb 8 2015, 5:46 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added subscribers: Aklapper, awight.
awight updated the task description. (Show Details)Feb 8 2015, 5:49 PM
awight set Security to None.
Krenair added a subscriber: Krenair.

I am confused. What's the upstream request? I don't remember seeing another ticket in phabricator or in [[Support]] of translatewiki.net,

awight added a comment.Feb 9 2015, 3:35 PM

Hi, it's just an email so far (you are cc'd, plus Amir and Siebrand).
Please help me figure out the correct workflow!

Nikerabbit triaged this task as Normal priority.Feb 9 2015, 3:53 PM

We usually put requests on [[Support]] but I'd be curious to try using Phabricator for this.

The first thing is to do a sanity check. Amir already started on this in his email:

To save people the searching, the files are here:
https://github.com/WikiEducationFoundation/WikiEduDashboard/tree/master/config/locales
An important bonus would be to also add documentation for parameters like %{title}, %{count}, etc., but this is a very good beginning already.
See https://github.com/WikiEducationFoundation/WikiEduDashboard/issues/25 .

Basically we want to see that:

  1. the strings are reasonably good: not full of lego, not too long or full of markup, adequately documented (especially variables and short strings with ambiguous word class).
  2. UTF-8 encoding is used and i18n files are syntactically valid
  3. license is compatible and healthy project (no point translating stuff which wont incorporate our translations or nobody uses and doesn't fix possible i18n issues)
  4. file format is something we support
  5. there are no unexpected language restrictions like RTL or complex scripts

These are mostly done, but I will have a second look on these this week.

For the step after that we need:

  1. Commit access to the repository at least for myself and Siebrand
  2. logo (highly recommended; preferably SVG)
  3. a few sentence long project description (examples)
  4. a longer description for project page (example)
Nemo_bis updated the task description. (Show Details)Feb 9 2015, 5:04 PM
Nemo_bis added a subscriber: Nemo_bis.

There are a couple of messages which should most likely use plural constructions. I'll do a test on my dev wiki while waiting for things requested above.

gerritbot added a subscriber: gerritbot.

Change 189784 had a related patch set uploaded (by Nikerabbit):
WikiEduDashboard

https://gerrit.wikimedia.org/r/189784

Patch-For-Review

Thanks much. I've invited Nikerabbit and Siebrand to the repo. Here's a short descriptions:

[[Translating:WikiEdu Dashboard|WikiEdu Dashboard]] a web application for supporting Wikipedia classroom assignments and other organizing group editing projects on Wikipedia.

I'll work on getting a project page started as soon as I have a chance.

@AKoval_WMF: Think you could get a generic Dashboard logo made? We have a WikiEdu branded logo, but I don't think that makes sense for translatewiki.

@Ragesoss: Yes. We will make a logo. Is the same size indicated in https://phabricator.wikimedia.org/T91664 what is needed for translatewiki?

@AKoval_WMF: that's right, 120x120.

@Ragesoss: Thanks, Sage. Samir will work on it. Is it needed as soon as possible? And is there a specific file type requested? .jpg, .png, .svg?

Here are drafts of the descriptions requested by @Nikerabbit. I've written them broadly to apply to both the WEF and the WMF use cases. @Ragesoss should verify if this is ok, or if we need 2 separate sets of descriptions for the 2 separate dashboards.

Short description (revising the one above a bit):
"[[Translating:WikiEdu Dashboard|The Education Program Dashboard]] is a web application for supporting Wikipedia classroom assignments and organizing other group editing projects on Wikipedia."

Longer description (based on http://wikiedu.org/blog/2015/02/06/dashboard-live/):
"[[Translating:WikiEdu Dashboard|The Education Program Dashboard]] is an open source web application for tracking courses participating in the Wikipedia Education Program, for supporting Wikipedia classroom assignments, and organizing other group editing projects on Wikipedia. The Dashboard provides a clearer window into the progress of student editors. The Dashboard presents data for every person enrolled in an Education Program course. It shows their assigned articles, their most recent contributions, how much content they’ve added to articles and sandboxes, and how many page views for the articles they’ve edited. The Dashboard will replace [https://www.mediawiki.org/wiki/Extension:Education_Program mw:Extension:Education Program] as the Education Program's course page system."

Will those work, Sage and Niklas?

@Nikerabbit: Hi, thanks for all your help. I think we have all the pieces in place on our end, please take a look and let us know if anything is missing.

I will let you know if I have further questions. Please allow me a couple days while I get to this..

Nikerabbit added a comment.EditedApr 10 2015, 2:38 PM

Our parser barfs at this piece of the en.yml:

training_complete:
  one: "has completed training"
  other: "have completed training"
  short: "Complete"

It is expecting only plural keywords (one, few, many, other...) but short is not one of those. Do you think you could work around this by moving that string to other position?

MWException from line 125 of /www/dev.translatewiki.net/docroot/w/extensions/Translate/ffs/SimpleFFS.php: Parsing /resources/projects/wikiedudashboard/config/locales/en.yml failed: Reserved plural keywords mixed with other keys: one, other, short.

training_complete:

one: "has completed training"
other: "have completed training"

This is also an i18n red flag, as we often see that a username is glued in front of strings like these. It should contain a parameter, instead of a partial string.

Thanks @siebrand and @Nikerabbit. I can definitely get that message refactored to have 'short' as a separate entry. The 'short' version is the alternative form for mobile layout.

I'll look also into parameterizing it, but I'm not sure how to go about it. The thing we associate with those strings is a number: "4 have completed training". However, there is separate styling for the number and the string. Any advice on how this would typically be done?

If the html is not too complicated, path of least resistance could be:

one: <span class="foo">{{count}}</span> has completed training
other: <span class"foo">{{count}}</span> have completed training

There should be just one class or id, everything rest should be styled with css outside the html.

@Nikerabbit thanks. I've fixed the 'short' message. It looks like your suggestion will work for the lego issue, it'll just take a bit of refactoring.

Elitre added a subscriber: Elitre.May 27 2015, 8:12 PM

Hey all :) Where are we on this?

Sorry I got carried away fighting with our translation memory during the hackathon. On my plate for this week.

T91664 is still open, but let's proceed with the PNG logo for now.

Change 189784 merged by jenkins-bot:
WikiEduDashboard

https://gerrit.wikimedia.org/r/189784

Mostly done.

https://translatewiki.net/wiki/Translating:WikiEdu_Dashboard created; please create the categories and babel template.

Nemo_bis closed this task as Resolved.Jun 14 2015, 6:58 PM
Nikerabbit reopened this task as Open.Jun 15 2015, 7:56 AM

I forgot one important thing, I and Siebrand need commit access to push l10n updates.

@Nikerabbit I think you should have commit access now. (I had you both added to a GitHub team previously, but I realize now that I had never added that repository to the team; I just fixed that.) Let me know if your commit access isn't working.

Nikerabbit closed this task as Resolved.Jun 15 2015, 5:08 PM

I pushed updates successfully, please review ;)

WOohoo! Thanks for all the great work!